<script>
	import { fade } from 'svelte/transition';
	import { ArrowDownCircleIcon } from 'svelte-feather-icons';
	import { scrollY } from '../../utils/store';
</script>

<section class="relative flex items-center justify-center overflow-hidden flex-none h-[80vh]">
	<img
		src="/fond_produit.jpg"
		alt="fond_produit"
		class="w-full h-full object-cover absolute bg-red-500"
	/>
	<div class="w-full h-full absolute top-0 left-0" style="background-color: rgba(0, 0, 0, 0.7);" />
	<div
		class="relative flex flex-col justify-center items-center gap-4 container mx-auto px-6S py-12 px-4 md:py-16 xl:py-28 md:text-4xl text-8xl"
	>
		<div class="md:w-4/5 w-full flex flex-col gap-4 items-center text-center">
			<h2
				class="text-3xl md:text-5xl xl:leading-tight mb-4"
				style="color: rgb(255, 255, 255); font-family: var(--head-fontFamily); font-weight: var(--head-fontWeight);"
			>
				Du 100% fait maison !
			</h2>
			<p
				class="text-body md:text-body-lg text-xl md:text-2xl"
				style="color: rgb(255, 255, 255); scroll-behavior: smooth; font-family: var(--body-fontFamily); font-weight: var(--body-fontWeight);"
			>
				L'histoire du pain, du boulanger et du blé est l'une des plus vieilles histoires au monde.
				C'est certainement l'une des plus belles et l'une des meilleures. C'est une histoire presque
				aussi ancienne que nous. Une histoire simple, entre les hommes et la nature.
			</p>
		</div>
		{#if $scrollY < 50}
			<button
				class="absolute -bottom-5"
				transition:fade
				on:click={() => {
					window.scrollTo({ top: 500, behavior: 'smooth' });
				}}
			>
				<ArrowDownCircleIcon class="animate-bounce w-12 h-12 text-white" />
			</button>
		{/if}
	</div>
</section>
